PUT api/establecimientos/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
EstablecimientoBindingModel| Name | Description | Type | Additional information |
|---|---|---|---|
| nombre | string |
Required String length: inclusive between 0 and 100 |
|
| direccion | string |
Required String length: inclusive between 0 and 100 |
|
| poblacion | string |
Required String length: inclusive between 0 and 45 |
|
| cp | string |
Required String length: inclusive between 0 and 5 |
|
| provincia | string |
Required String length: inclusive between 0 and 45 |
|
| contacto | string |
String length: inclusive between 0 and 45 |
|
| telefono | string |
String length: inclusive between 0 and 15 |
|
| lat | decimal number |
None. |
|
| lng | decimal number |
None. |
|
| cliente_nombre | string |
Required String length: inclusive between 0 and 100 |
|
| cliente_direccion | string |
Required String length: inclusive between 0 and 100 |
|
| cliente_poblacion | string |
Required String length: inclusive between 0 and 45 |
|
| cliente_cp | string |
Required String length: inclusive between 0 and 5 |
|
| cliente_provincia | string |
Required String length: inclusive between 0 and 45 |
|
| cliente_nif | string |
Required String length: inclusive between 0 and 10 |
|
| cliente_telefono | string |
String length: inclusive between 0 and 15 |
|
| cliente_email | string |
String length: inclusive between 0 and 100 |
|
| pvr_numero | string |
String length: inclusive between 0 and 15 |
|
| pvr_caducidad | date |
None. |
|
| pvr_idEstanco | integer |
None. |
|
| idExterno | integer |
None. |
|
| stratorVM_ID | string |
String length: inclusive between 0 and 15 |
|
| stratorIsConnected | integer |
None. |
|
| stratorIsBlocked | integer |
None. |
Request Formats
application/json, text/json
{
"nombre": "sample string 1",
"direccion": "sample string 2",
"poblacion": "sample string 3",
"cp": "sample string 4",
"provincia": "sample string 5",
"contacto": "sample string 6",
"telefono": "sample string 7",
"lat": 1.1,
"lng": 1.1,
"cliente_nombre": "sample string 8",
"cliente_direccion": "sample string 9",
"cliente_poblacion": "sample string 10",
"cliente_cp": "sample string 11",
"cliente_provincia": "sample string 12",
"cliente_nif": "sample string 13",
"cliente_telefono": "sample string 14",
"cliente_email": "sample string 15",
"pvr_numero": "sample string 16",
"pvr_caducidad": "2026-06-29T05:14:40.0531481+03:00",
"pvr_idEstanco": 1,
"idExterno": 1,
"stratorVM_ID": "sample string 17",
"stratorIsConnected": 18,
"stratorIsBlocked": 19
}
application/xml, text/xml
<EstablecimientoBindingModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VendingAPI.Models"> <cliente_cp>sample string 11</cliente_cp> <cliente_direccion>sample string 9</cliente_direccion> <cliente_email>sample string 15</cliente_email> <cliente_nif>sample string 13</cliente_nif> <cliente_nombre>sample string 8</cliente_nombre> <cliente_poblacion>sample string 10</cliente_poblacion> <cliente_provincia>sample string 12</cliente_provincia> <cliente_telefono>sample string 14</cliente_telefono> <contacto>sample string 6</contacto> <cp>sample string 4</cp> <direccion>sample string 2</direccion> <idExterno>1</idExterno> <lat>1.1</lat> <lng>1.1</lng> <nombre>sample string 1</nombre> <poblacion>sample string 3</poblacion> <provincia>sample string 5</provincia> <pvr_caducidad>2026-06-29T05:14:40.0531481+03:00</pvr_caducidad> <pvr_idEstanco>1</pvr_idEstanco> <pvr_numero>sample string 16</pvr_numero> <stratorIsBlocked>19</stratorIsBlocked> <stratorIsConnected>18</stratorIsConnected> <stratorVM_ID>sample string 17</stratorVM_ID> <telefono>sample string 7</telefono> </EstablecimientoBindingModel>
application/x-www-form-urlencoded
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |